use fall_2016_music;

-- this is a comment

create table artists (
	id int not null auto_increment,
    name varchar(20) not null,
    sort_artist varchar(20),
    primary key(id)
);

create table genres (
	id int not null auto_increment,
    name varchar(30) not null,
    primary key (id)
); -- this is the end, my friend, this is the end, the only end my friend

create table albums (
	id int not null auto_increment,
	genre_id int not null,
	name varchar(30) not null,
	album_rating int,
	sort_album varchar(30),
	favorite bool default false,
	year char(4),
    primary key (id),
    foreign key (genre_id) references genres(id)
);

create table song_files (
	id int not null auto_increment,
	genre_id int not null,
	name varchar(50) not null,
	duration int not null,
	favorite bool default false,
	date_added datetime,
	description text,
    primary key (id),
    foreign key (genre_id) references genres(id)
);

create table tracks (
	id int not null auto_increment,
	song_file_id int not null,
	album_id int not null,
	track_number int not null,
    primary key (id),
    foreign key (song_file_id) references song_files(id),
    foreign key (album_id) references albums(id)
);


